From 796f0a77099af2fec47222df04ff55f8cec65fe5 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 15:37:05 +0000
Subject: [PATCH 30/51] add check_is_list() and use it


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index ad9d775..0774ae5 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -219,6 +219,11 @@ class ModuleMDLinter(object):
         for value in values:
             self.check_true(isinstance(value, self.yaml_scalar_types))
 
+    def check_is_list(self, *values):
+        """Check that 0..n values are lists."""
+        for value in values:
+            self.check_true(isinstance(value, list))
+
     def check_is_dict(self, *values):
         """Check that 0..n values are of a dictionary type."""
         for value in values:
@@ -291,8 +296,7 @@ class ModuleMDLinter(object):
     def lint_license_blocks_are_lists(self):
         """Every module MUST contain a license block and declare a list of
         the module's licenses."""
-        for block in self.mmd['license'].values():
-            self.check(isinstance(block, list))
+        self.check_is_list(*self.mmd['license'].values())
 
     @error
     @guidelines_link('#Module_licensing')

